MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025183Open CASCADE[OCCT] OCCT:WOKpublic2014-08-21 09:102015-05-14 15:31
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025183: WOK - add "Standard_Override" specifier to redefined methods
DescriptionWOK can be improved to add Standard_OVERRIDE specifier in generated C++ headers for class methods declared in CDL as "is redefined virtual".
Steps To Reproduce- Generate Visual Studio projects (VS2012 or later) with patched WOK
- Build OCCT
TagsNo tags attached.
Test case number
Attached Files

- Relationships
related to 0025182closedbugmaster Standard_OVERRIDE - add alias for C++11 "override" specifier 
related to 0025246closedbugmaster Make methods Intervals and NbIntervals const in Adaptor3d_Curve and it descendants 

-  Notes
(0036156)
git (administrator)
2015-01-16 16:36

Branch CR25183 has been created by dbv.

SHA-1: f9daa66ac4119400d8a1e8909b782292fc8a6b86


Detailed log of new commits:

Author: dbv
Date: Fri Jan 16 16:23:31 2015 +0300

    0025183: WOK - add "Standard_Override" specifier to redefined methods
    
    Fixed Standard_OVERRIDE macro description
    Fixed methods redefinition
(0036157)
dbv (developer)
2015-01-16 16:39

WOK now adds "Standard_OVERRIDE" specifier to redefined methods.

Dear kgv, please review occt and occt-wok CR25183 branches.
(0037670)
git (administrator)
2015-02-18 16:38

Branch CR25183 has been updated forcibly by dbv.

SHA-1: 66d3d8e0074ce54e0716039be03b8d2e7c3360de
(0038029)
kgv (developer)
2015-03-03 11:11

Please test and integrate.
(0038097)
bugmaster (administrator)
2015-03-04 17:52

Fix for WOK was tested on master.
All are OK.
(0038098)
bugmaster (administrator)
2015-03-04 17:55

Fix has been integrated into master of occt-wok repository
(0039429)
git (administrator)
2015-04-09 09:39

Branch CR25183 has been deleted by kgv.

SHA-1: 66d3d8e0074ce54e0716039be03b8d2e7c3360de

- Issue History
Date Modified Username Field Change
2014-08-21 09:10 kgv New Issue
2014-08-21 09:10 kgv Assigned To => kgv
2014-08-21 09:10 kgv Relationship added related to 0025182
2014-08-21 09:36 abv Description Updated View Revisions
2014-08-21 09:38 abv Summary Standard_OVERRIDE - add "override" specifier to redefined methods => WOK - add "Standard_Override" specifier to redefined methods
2014-08-21 09:38 abv Description Updated View Revisions
2014-10-29 13:46 abv Target Version 6.8.0 => 7.0.0
2015-01-13 12:08 kgv Assigned To kgv => dbv
2015-01-16 16:36 git Note Added: 0036156
2015-01-16 16:37 dbv Status new => assigned
2015-01-16 16:39 dbv Note Added: 0036157
2015-01-16 16:39 dbv Assigned To dbv => kgv
2015-01-16 16:39 dbv Status assigned => resolved
2015-01-16 16:39 dbv Steps to Reproduce Updated View Revisions
2015-01-16 16:41 dbv Steps to Reproduce Updated View Revisions
2015-01-21 14:00 kgv Relationship added related to 0025246
2015-02-18 16:38 git Note Added: 0037670
2015-03-03 11:11 kgv Note Added: 0038029
2015-03-03 11:11 kgv Assigned To kgv => bugmaster
2015-03-03 11:11 kgv Status resolved => reviewed
2015-03-03 11:11 kgv Target Version 7.0.0 => 6.9.0
2015-03-04 17:52 bugmaster Note Added: 0038097
2015-03-04 17:52 bugmaster Status reviewed => tested
2015-03-04 17:55 bugmaster Note Added: 0038098
2015-03-04 17:55 bugmaster Status tested => verified
2015-03-04 17:55 bugmaster Resolution open => fixed
2015-03-05 12:03 ibs Note Added: 0038131
2015-03-05 12:03 ibs Status verified => feedback
2015-03-05 12:03 ibs Resolution fixed => reopened
2015-03-05 12:09 ibs Status feedback => reviewed
2015-03-05 12:09 ibs Note Deleted: 0038131
2015-03-18 17:19 bugmaster Status reviewed => verified
2015-03-18 17:19 bugmaster Resolution reopened => fixed
2015-04-09 09:39 git Note Added: 0039429
2015-05-14 15:28 aiv Status verified => closed
2015-05-14 15:31 aiv Fixed in Version => 6.9.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker